
Ryzom - Bug # 1367

Status: Closed Priority: Normal
Author: GelluleX Category: OS: Mac
Created: 09/26/2011 Assignee: sfb
Updated: 12/07/2011 Due date:
Subject: Compile error in glext.h, on OSX 10.7
Description

Compiling on OSX 10.7, I get the following build error:

In file included from /ryzom/code/nel/src/3d/driver/opengl/driver_opengl.h:38,
                 from //ryzom/code/nel/src/3d/driver/opengl/driver_opengl.cpp:18:
/ryzom/code/nel/src/3d/driver/opengl/mac/glext.h:4854: error: conflicting declaration ‘typedef unsigned int GLhandleARB’
/System/Library/Frameworks/OpenGL.framework/Headers/gltypes.h:98: error: ‘GLhandleARB’ has a previous declaration as ‘typedef
void* GLhandleARB’
make[2]: *** [nel/src/3d/driver/opengl/CMakeFiles/nel_drv_opengl.dir/driver_opengl.cpp.o] Error 1
make[1]: *** [nel/src/3d/driver/opengl/CMakeFiles/nel_drv_opengl.dir/all] Error 2
make: *** [all] Error 2

History
#1 - 12/06/2011 10:52 pm - sfb

GelluleX,

Could you be so kind as to test a patch for me?

Change code/nel/src/3d/driver/opengl/mac/glext.h line 4854 from this:

to this:
1#if defined(MAC_OS_X_VERSION_10_7)
2typedef void *GLhandleARB;
3#else
4typedef unsigned int GLhandleARB;
5#endif

Thank you!

#2 - 12/07/2011 10:03 am - GelluleX

Works for me. I had something almost equivalent:

#if !defined(MAC_OS_X_VERSION_10_7)
typedef unsigned int GLhandleARB;
#endif

#3 - 12/07/2011 01:16 pm - sfb

Ah! Good! I'll put that in today.

#4 - 12/07/2011 02:54 pm - sfb
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:02b48470740e.

#5 - 12/07/2011 02:57 pm - sfb
- Assignee set to sfb
- Target version set to Version 0.9.0

Since I applied the patch I suppose I should claim it.

#6 - 12/07/2011 02:57 pm - sfb
- Status changed from Resolved to Closed
